<?php

use App\Http\Controllers\api\v1\Admin\AdminController;
use Illuminate\Support\Facades\Route;

Route::middleware(['admin'])->group(
    function () {
        Route::controller(AdminController::class)->group(function () {
            Route::get('profile', 'getProfile');
            Route::post('update-profile', 'updateProfile');
            Route::post('change-password', 'changePassword');
            Route::get('check-profile-update', 'checkProfileUpdate');
        });
    }
);
